> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products

> Returns paginated list of products based on the provided query parameters.



## OpenAPI

````yaml openapi/product-catalog-v1.json GET /v1/Products
openapi: 3.0.4
info:
  title: ProductCatalog.Api 1.0
  version: '1.0'
servers:
  - url: https://{host}/product-catalog
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security: []
paths:
  /v1/Products:
    get:
      tags:
        - Products
      summary: Get products
      description: >-
        Returns paginated list of products based on the provided query
        parameters.
      parameters:
        - name: limit
          in: query
          description: Gets or sets the size of the page.
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
        - name: marker
          in: query
          description: >-
            Marker for the next page (Should be taken from the previous
            response).
          schema:
            type: string
        - name: ids
          in: query
          description: Optional filter by product IDs.
          schema:
            type: string
        - name: eans
          in: query
          description: Optional filer by product EANs.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PaginatedResult.ProductResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult.ProductResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult.ProductResponse'
components:
  schemas:
    PaginatedResult.ProductResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductCatalog.Contracts.Response.ProductResponse
        links:
          type: array
          items:
            $ref: '#/components/schemas/ProductCatalog.Contracts.Results.Link'
          nullable: true
      additionalProperties: false
    ProductCatalog.Contracts.Response.ProductResponse:
      type: object
      properties:
        name:
          type: string
          description: Name of the product.
        externalId:
          type: string
          description: Identifier of the product in external system.
        hierarchyId:
          type: string
          description: Identifier of the hierarchy node the product belongs to.
        imageLink:
          type: string
          description: URL of the image associated with the entity.
          nullable: true
        eans:
          type: array
          items:
            type: string
          description: List of EANs associated with the product.
        brand:
          $ref: '#/components/schemas/ProductCatalog.Contracts.Common.ProductBrand'
        suppliers:
          type: array
          items:
            $ref: '#/components/schemas/ProductCatalog.Contracts.Common.Supplier'
          description: List of suppliers associated with the product.
          nullable: true
        saleUnit:
          type: string
          description: The unit in which the product is sold (e.g., piece, pack, box).
          nullable: true
        weightUnit:
          type: string
          description: The unit of weight measurement for the product (e.g., kg, g, lb).
          nullable: true
        unitOfMeasure:
          type: string
          description: >-
            The measurement unit used to quantify the product (e.g., liter,
            meter, piece).
          nullable: true
        unitsPerPiece:
          type: number
          description: The number of units contained in a single piece of the product.
          format: double
          nullable: true
        isWeightable:
          type: boolean
          description: Indicates if the product is sold by weight.
          nullable: true
        restrictions:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductCatalog.Contracts.Common.ProductRestrictionType
          description: >-
            List of restrictions (e.g., Age16, Age18, etc.) associated with the
            product.
        metadata:
          type: object
          additionalProperties: {}
          description: Additional metadata associated with the product.
          nullable: true
      additionalProperties: false
      description: Represents a product with associated details.
    ProductCatalog.Contracts.Results.Link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    ProductCatalog.Contracts.Common.ProductBrand:
      type: object
      properties:
        id:
          type: string
          description: Identifier of the brand
        name:
          type: string
          description: Name of the brand
      additionalProperties: false
      description: Represents product's brand.
    ProductCatalog.Contracts.Common.Supplier:
      type: object
      properties:
        id:
          type: string
          description: Identifier of the supplier
        name:
          type: string
          description: Name of the supplier
      additionalProperties: false
      description: Represents product's supplier.
    ProductCatalog.Contracts.Common.ProductRestrictionType:
      enum:
        - Age16
        - Age18
        - Age20
        - AlcoholOnElections
      type: string
      description: The restriction type applied to a product.

````